cups-lpd(8)

NOM
cups-lpd - Recevoir les travaux d'impression et renvoyer l'état des imprimantes aux clients lpd (obsolète)

SYNOPSIS
cups-lpd [-h nom_hôte[:port] [ -n ] [ -o option=valeur ]

DESCRIPTION
cups-lpd est le mini-serveur Line Printer Daemon (« LPD ») de CUPS, qui gère les clients classiques utilisant le protocole LPD. cups-lpd ne fonctionne pas lui-même comme un démon réseau autonome, mais utilise n’importe quel « super-serveur », tel que inetd(8), launchd(8) ou systemd(8).

OPTIONS

-h nom_hôte[:port]
    Définir le serveur CUPS (et le port) à utiliser.

-n  Désactiver la résolution inverse des noms d'hôte ; normalement, cups-lpd essaie de récupérer le nom d'hôte à l'aide d'une requête DNS inverse.

-o nom=valeur
    Insérer des options pour toutes les files d'impression. Le plus souvent, c'est utilisé pour désactiver le filtre « l » pour que les travaux distants soient également filtrés correctement ; l’exemple ci-dessous de inetd(8) fixe l'option « document-format » à « application/octet-stream », ce qui force l'autodétection du format du fichier à imprimer.

CONFORMITÉ
cups-lpd n’applique pas le nombre restreint de ports source spécifié dans la RFC 1179, car l'utilisation de ces ports n'empêche pas un utilisateur d'envoyer un travail d'impression. Bien que ce comportement soit différent de celui des implémentations standards LPD Berkeley, il ne devrait pas affecter le déroulement correct des impressions de client.

Le format de sortie des demandes d'état se conforme à la RFC 2569, « Mapping between LPD and IPP Protocols ». Comme bon nombre d'implémentations LPD ne suivent pas cette définition, la récupération d'état par un client LPD peut être erronée.

ERREURS
Les erreurs sont envoyées vers le journal système.

FICHIERS
/etc/inetd.conf
/etc/xinetd.d/cups-lpd
/System/Library/LaunchDaemons/org.cups.cups-lpd.plist

NOTES
Le programme cups-lpd est obsolète et sera supprimé dans une future version de CUPS.

  PERFORMANCE
Les performances de cups-lpd sont correctes avec un petit nombre de clients et d'imprimantes. Cependant, comme un nouveau processus est créé pour chaque connexion et comme chaque processus doit interroger le système d'impression avant chaque soumission d'un travail d'impression, l'extension n'est pas aisée pour des configurations plus importantes. Il est recommandé d'utiliser la gestion du protocole IPP native dans CUPS pour les configurations importantes.

  SÉCURITÉ
cups-lpd n'applique pour le moment aucun des contrôles d'accès définis dans les fichiers cupsd.conf, hosts.allow ou hosts.deny utilisés par les wrappers TCP. L'exécution de cups-lpd sur votre serveur permet donc le lancement d'impressions depuis n'importe quel ordinateur de votre réseau, voire même de n'importe quel ordinateur sur Internet.

Bien que xinetd(8) possède un contrôle d'accès intégré, il est recommandé d'utiliser le wrapper TCP fourni avec inetd(8) pour limiter les accès aux seuls ordinateurs autorisés à lancer des impressions sur le serveur.

cups-lpd(8) n'est pas activé dans la distribution standard de CUPS. Veuillez consulter votre distributeur de système d'exploitation pour savoir s'il est activé sur votre système.

EXEMPLE
Lors de l’utilisation de inetd(8), ajoutez la ligne suivante au fichier inetd.conf pour activer le mini-serveur cups-lpd(8) :

    printer stream tcp nowait lp /usr/lib/cups/daemon/cups-lpd cups-lpd \
        -o document-format=application/octet-stream

CUPS comprend des fichiers de configuration pour launchd(8), systemd(8) et xinetd(8). Activez seulement le service cups-lpd en utilisant le programme de contrôle correspondant.

VOIR AUSSI
cups(1), cupsd(8), inetd(8), launchd(8), xinetd(8), aide en ligne de CUPS (http://localhost:631/help), RFC 2569

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.